Loading...
Searching...
No Matches
SmilesParse.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/RWMol.h>`
`#include <GraphMol/SanitException.h>`
`#include <string>`
`#include <exception>`
`#include <map>`

Go to the source code of this file.

## Classes

struct | RDKit::SmilesParserParams
struct | RDKit::SmartsParserParams
class | RDKit::SmilesParseException

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

RDKIT_SMILESPARSE_EXPORT RWMol * | RDKit::SmilesToMol (const std::string &smi, const SmilesParserParams &params)
RDKIT_SMILESPARSE_EXPORT Atom * | RDKit::SmilesToAtom (const std::string &smi)
RDKIT_SMILESPARSE_EXPORT Bond * | RDKit::SmilesToBond (const std::string &smi)
RWMol * | RDKit::SmilesToMol (const std::string &smi, int debugParse=0, bool sanitize=true, std::map< std::string, std::string > *replacements=nullptr)
| Construct a molecule from a SMILES string.
RDKIT_SMILESPARSE_EXPORT RWMol * | RDKit::SmartsToMol (const std::string &sma, const SmartsParserParams &ps)
RWMol * | RDKit::SmartsToMol (const std::string &sma, int debugParse=0, bool mergeHs=false, std::map< std::string, std::string > *replacements=nullptr)
| Construct a molecule from a SMARTS string.
RDKIT_SMILESPARSE_EXPORT Atom * | RDKit::SmartsToAtom (const std::string &sma)
RDKIT_SMILESPARSE_EXPORT Bond * | RDKit::SmartsToBond (const std::string &sma)
std::unique_ptr< RDKit::RWMol > | RDKit::operator""_smiles (const char *text, size_t len)
std::unique_ptr< RDKit::RWMol > | RDKit::operator""_smarts (const char *text, size_t len)